Rilasciato WooCommerce 3.9

Aggiornamento WooCommerce

Nuova versione del plugin per siti di e-commerce su WordPress.

La versione 3.9 di WooCommerce è accompagnata da una lunga lista di migliorie, integrazioni e bugfix, ma nonostante questo viene considerato come “aggiornamento minore”, e come tale non dovrebbe avere grossi problemi di compatibilità con temi e plugin, anche se conviene sempre verificare.

La prima novità di rilievo riguarda i requisiti minimi: WooCommerce con la versione 3.9 richiede WordPress 5.0 e PHP 7.0 o superiori, ma sono caldamente consigliate le versioni 5.3.x e 7.3.x, rispettivamente.

Poi ci sono i nuovi blocchi Gutenberg, grazie al plugin WooCommerce Blocks 2.5.11, in particolare il blocco All Products con filtro e impaginazione, davvero interessante.

Infine c’è un piccolo fastidio che riguarda tutti quelli che utilizzano la geolocalizzazione, che su WooCommerce viene fornita dal database MaxMind GeoLite2.

La nuova versione di MaxMind GeoLite2 per funzionare vuole una chiave di licenza, fornita da MaxMind, e di conseguenza anche WooCommerce si è dovuto adattare.

Bisogna registrarsi sul sito MaxMind, non è richiesto alcun pagamento, quindi creare una chiave di licenza, ed inserirla nell’apposita nuova voce nel tab “Integrazioni” delle impostazioni di WooCommerce.

Le altre voci del nuovo WooCommerce 3.9 riguardano soprattutto gli sviluppatori.

Non sembra ci siano punti riguardanti la sicurezza, in questo aggiornamento, ma come ben sappiamo questi normalmente vengono evitati, se non già noti, per non creare problemi a chi utilizza ancora una versione precedente.

Come al solito, un bel backup completo prima di aggiornare, magari aspettando qualche ora che non salti fuori un aggiornamento correttivo di gioventù, o meglio ancora fare una prova di aggiornamento in un sito di test, una copia del sito in produzione.

 

Tags: , ,

Nessun commento ancora.

Lascia un commento

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.

Ciao, come posso aiutarti?